Skip to main content

List all Proof of address check-ins.

GET 

/api/checkins/proof-of-address

Retrieve the list of proof of address check-ins of all users owned by a partner.

Request

Query Parameters

    page int32

    Default value: 0

    Page number

    Example: 0
    size int32

    Default value: 10

    Number of items per page

    Example: 10
    sortBy string

    Possible values: [dateCheckedIn, dateUpdated]

    Default value: dateCheckedIn

    Sort by field

    Example: dateCheckedIn
    sortDirection string

    Possible values: [asc, desc]

    Default value: desc

    Sort by order

    Example: desc
    searchBy string

    Possible values: [id, city, state, userFirstName, userLastName, userEmail, userPhone]

    Search by field

    Example: userFirstName
    searchValue string

    Search by value

    Example: Tom
    status string

    Possible values: [Pending, Confirmed, Declined, OnHold, Archived, All]

    Filter proof of address check-ins by status

    Example: Pending
    isFraud boolean

    Filter proof of address check-ins marked as fraud.

    checkinStartDate string

    Filter proof of address check-ins whose check-in date is greater or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z
    checkinEndDate string

    Filter proof of address check-ins whose check-in date is less or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z
    updatedStartDate string

    Filter proof of address check-ins whose update date is greater or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z
    updatedEndDate string

    Filter proof of address check-ins whose update date is less or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z

Responses

List of Proof of address checkin objects matching given query.

Schema

    totalItems int64

    Total number of proof of address check-ins

    currentPage int32

    Current page number

    totalPages int64

    Current page size

    itemsOnPage int32

    Number of proof of address check-ins on current page

    checkins

    object[]

    List of proof of address check-ins

  • Array [

  • id string

    Id of the checkin

    userNote string

    User generated note. For communication between the user to the admin

    adminNote string

    Admin generated note. Usually used for on-hold or declined check-ins

    checkedInAt string

    Check-in date

    checkInStatus string

    Possible values: [Confirmed, Declined, OnHold, Pending]

    Status of the check-in

    updated string

    Last updated on

    address

    object

    Address

    addressLine1 string

    Street Address Line 1

    city string

    City

    state string

    2 Letter State Code

    country string

    2 Letter Country Code

    zip string

    Zip

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

    documentType string

    Possible values: [UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill, Invalid]

    Document Type

    insights

    object

    Insights gathered from the uploaded document(s)

    firstName string

    First name on document(s)

    lastName string

    Last name on document(s)

    address

    object

    Address

    addressLine1 string

    Street Address Line 1

    addressLine2 string

    Street Address Line 2

    city string

    City

    state string

    2 Letter State Code

    country string

    2 Letter Country Code

    zip string

    Zip

    documents

    object[]

    The document(s)

  • Array [

  • url string

    URL of the document

    type string

    Possible values: [DOCUMENT, GALLERY, CAMERA, INVALID, CAMERA, DOCUMENT, GALLERY]

    Type of the document.

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

    markedInvalidByReview boolean

    Indicates that the document has been marked invalid on review.

  • ]

  • photos

    object[]

    The photos of the vehicle taken from different angles

  • Array [

  • photoUrl string

    URL of the photo

    type string

    Possible values: [FrontView, AlternateView]

    Type of the photo. A value from one of the proof of address checkin photo types.

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

    markedInvalidByReview boolean

    Indicates that the photo has been marked invalid on review.

  • ]

  • latitude double

    Latitude at which check-in was done

    longitude double

    Longitude at which check-in was done

    owner

    object

    Check-in owner

    id string

    Id of the user

    firstName string

    User's first name

    lastName string

    User's last name

    fraud boolean
  • ]

Loading...